> For the complete documentation index, see [llms.txt](https://docs.sonoransoftware.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sonoransoftware.com/cms/developer-api-documentation/api-integration/api-endpoints/disciplinary/add-member-record-2.md).

# Update Member Record Reason

## Update Member Record Reason

<mark style="color:green;">`POST`</mark> `https://api.sonorancms.com/disciplinary/update_member_record_reason`

Update a Sonoran CMS community member disciplinary record's reason.

#### Request Body

| Name                                   | Type   | Description                    |
| -------------------------------------- | ------ | ------------------------------ |
| id<mark style="color:red;">\*</mark>   | string | Community ID                   |
| key<mark style="color:red;">\*</mark>  | string | API Key                        |
| type<mark style="color:red;">\*</mark> | string | UPDATE\_MEMBER\_RECORD\_REASON |
| data<mark style="color:red;">\*</mark> | object | Object                         |

{% tabs %}
{% tab title="200: OK " %}

```json
{
      "id": "123",
      "status": true,
      "accId": "123",
      "source": "api",
      "sourceId": "api-request",
      "points": 10,
      "reason": "Some different reason",
      "metadata": {},
      "history": [],
}
```

{% endtab %}

{% tab title="400: Bad Request The following 400 errors may be sent in response:" %}

```javascript
INVALID API KEY
INVALID COMMUNITY ID
MEMBER NOT FOUND
```

{% endtab %}
{% endtabs %}

```json
{
    "id": "YOUR_COMMUNITY_ID",
    "key": "YOUR_API_KEY",
    "type": "UPDATE_MEMBER_RECORD_POINTS",
    "data": {
        "recordId": "123",
        "reason": "Some different reason", // Reason for the disciplinary record
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sonoransoftware.com/cms/developer-api-documentation/api-integration/api-endpoints/disciplinary/add-member-record-2.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
